### Method

# Gtk Printerget_capabilities

#### Declaration [src]

    GtkPrintCapabilities
    gtk_printer_get_capabilities (
      GtkPrinter* printer
    )

#### Description [src]

Returns the printer’s capabilities.

This is useful when you’re using `GtkPrintUnixDialog`’s manual-capabilities setting and need to know which settings the printer can handle and which you must handle yourself.

This will return 0 unless the printer’s details are available, see `gtk_printer_has_details()` and `gtk_printer_request_details()`.

#### Return value

Type: `GtkPrintCapabilities`

The printer’s capabilities.